import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var a = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (p, t, o, s) => {
  for (var e = s > 1 ? void 0 : s ? m(t, o) : t, n = p.length - 1, i; n >= 0; n--)
    (i = p[n]) && (e = (s ? i(t, o, e) : i(e)) || e);
  return s && e && a(t, o, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--sortDescending", this.class = "c-pieIcon c-pieIcon--sortDescending", this.name = "IconSortDescending";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--sortDescending"><path d="M1 9.23h6.817l-.551-1.312H1zm8.287 3.5H1v-1.312h7.736zM1 4.418h4.787l.56 1.312H1zM13.995 6.92l-1.838-1.846v5.25h-1.312v-5.25L9.007 6.92l-.928-.97 2.626-2.626a1.077 1.077 0 0 1 1.54 0L14.87 5.95z"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  g("icon-sort-descending")
], r);
export {
  r as IconSortDescending
};
